package com.jeeplus.modules.test.project.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class ProjectMaintenence extends DataEntity<ProjectMaintenence> {
    private String projectType;
    private String projectCode;
    private String reportCode;
    private String module;
    private String feedbacker;
    private String feedbackerDep;
    private String phoneNum;
    private String qqId;
    private String weixinId;
    private String problemDesc;
    private String dealStatus;
    private String dealPlan;

    public ProjectMaintenence() {
        super();
    }

    public ProjectMaintenence(String id){
        super(id);
    }

    @ExcelField(title="项目类型", align=2, sort=1)
    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    @ExcelField(title="项目编号", align=2, sort=2)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="报告编号", align=2, sort=3)
    public String getReportCode() {
        return reportCode;
    }

    public void setReportCode(String reportCode) {
        this.reportCode = reportCode;
    }

    @ExcelField(title="模块", align=2, sort=4)
    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    @ExcelField(title="反馈人", align=2, sort=5)
    public String getFeedbacker() {
        return feedbacker;
    }

    public void setFeedbacker(String feedbacker) {
        this.feedbacker = feedbacker;
    }

    @ExcelField(title="反馈人部门", align=2, sort=6)
    public String getFeedbackerDep() {
        return feedbackerDep;
    }

    public void setFeedbackerDep(String feedbackerDep) {
        this.feedbackerDep = feedbackerDep;
    }

    @ExcelField(title="联系电话", align=2, sort=7)
    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    @ExcelField(title="qq", align=2, sort=8)
    public String getQqId() {
        return qqId;
    }

    public void setQqId(String qqId) {
        this.qqId = qqId;
    }

    @ExcelField(title="微信", align=2, sort=9)
    public String getWeixinId() {
        return weixinId;
    }

    public void setWeixinId(String weixinId) {
        this.weixinId = weixinId;
    }

    @ExcelField(title="问题描述", align=2, sort=10)
    public String getProblemDesc() {
        return problemDesc;
    }

    public void setProblemDesc(String problemDesc) {
        this.problemDesc = problemDesc;
    }

    @ExcelField(title="处理状态", align=2, sort=11)
    public String getDealStatus() {
        return dealStatus;
    }

    public void setDealStatus(String dealStatus) {
        this.dealStatus = dealStatus;
    }

    @ExcelField(title="处理方案", align=2, sort=12)
    public String getDealPlan() {
        return dealPlan;
    }

    public void setDealPlan(String dealPlan) {
        this.dealPlan = dealPlan;
    }
}


